polybori::groebner::PolyEntryReference Class Reference

This class defines `PolyEntryReference`. More...

`#include <PolyEntryReference.h>`

## Public Types

typedef PolyEntryIndices | vector_type
typedef PolyEntry | value_type

## Public Member Functions

| PolyEntryReference (value_type &entry, vector_type &parent)
| Construct from plain non-constant reference. More...
bool | operator== (const self &rhs) const
| Equality check. More...
template<class Type >
self & | operator= (const Type &rhs)
| Assignment also triggers changes in the parent. More...
const value_type & | get () const
| Constant access. More...
| operator const value_type & () const
| Conversion to constant reference. More...

## The following data is accessible without yielding inconsistencies

std::set< idx_type > & | vPairCalculated
bool & | minimal
void | markVariablePairsCalculated ()
bool | propagatableBy (const PolyEntry &other) const

## Detailed Description

This class defines `PolyEntryReference`.

It allows non-constant access to those attributes, that could not cause inconsistencies, but only constant access to others

## Member Typedef Documentation

typedef PolyEntry polybori::groebner::PolyEntryReference::value_type

typedef PolyEntryIndices polybori::groebner::PolyEntryReference::vector_type

## Constructor & Destructor Documentation

polybori::groebner::PolyEntryReference::PolyEntryReference | ( | value_type & | entry,
|  | vector_type & | parent
| ) |  |

inline

Construct from plain non-constant reference.

## Member Function Documentation

const value_type& polybori::groebner::PolyEntryReference::get | ( | ) |  | const

inline

Constant access.

void polybori::groebner::PolyEntryReference::markVariablePairsCalculated | ( | ) |  |

inline

Referenced by polybori::groebner::GroebnerStrategy::add4ImplDelayed(), and polybori::groebner::GroebnerStrategy::addGenerator().

polybori::groebner::PolyEntryReference::operator const value_type & | ( | ) |  | const

inline

Conversion to constant reference.

template<class Type >

self& polybori::groebner::PolyEntryReference::operator= | ( | const Type & | rhs) |  |

inline

Assignment also triggers changes in the parent.

bool polybori::groebner::PolyEntryReference::operator== | ( | const self & | rhs) |  | const

inline

Equality check.

bool polybori::groebner::PolyEntryReference::propagatableBy | ( | const PolyEntry & | other) |  | const

inline

## Member Data Documentation

bool& polybori::groebner::PolyEntryReference::minimal

Referenced by polybori::groebner::GroebnerStrategy::addGenerator().

std::set<idx_type>& polybori::groebner::PolyEntryReference::vPairCalculated

Referenced by polybori::groebner::GroebnerStrategy::addVariablePairs().

The documentation for this class was generated from the following file:

- PolyEntryReference.h